Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class ValueRecorder

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.ValueRecorder

    class ValueRecorder
    extends Object

Records values produced during evaluation of an assertion statement's truth expression.

author:
  Peter Niederwieser

Field Summary
`static String` | `CLEAR_METHOD_NAME`
`static String` | `RECORD_METHOD_NAME`

Constructor Summary
`ValueRecorder()`

Method Summary
`void` | `clear()`
`List` | `getValues()`
`Object` | `record(Object value, int anchor)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### CLEAR_METHOD_NAME

    static final String CLEAR_METHOD_NAME

### RECORD_METHOD_NAME

    static final String RECORD_METHOD_NAME

Constructor Detail

### ValueRecorder

    ValueRecorder()

Method Detail

### clear

    public void clear()

### getValues

    public List getValues()

### record

    public Object record(Object value, int anchor)

Copyright © 2003-2009 The Codehaus. All rights reserved.